// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

using System;
using Microsoft.Phone.Controls;

namespace Wazup
{
    public enum ApplicationPages
    {
        Digg,
        Trends,
        Twitter,
        Blog
    }

    public static class Navigation
    {
        /// <summary>
        /// Goes to page.
        /// </summary>
        /// <param name="applicationPage">The application page.</param>
        public static void GoToPage(this PhoneApplicationPage phoneApplicationPage, ApplicationPages applicationPage)
        {
            switch (applicationPage)
            {
                case ApplicationPages.Digg:
                    phoneApplicationPage.NavigationService.Navigate(new Uri("/Views/DiggPage.xaml", UriKind.Relative));
                    break;

                case ApplicationPages.Trends:
                    phoneApplicationPage.NavigationService.Navigate(new Uri("/Views/TrendsPage.xaml", UriKind.Relative));
                    break;

                case ApplicationPages.Twitter:
                    phoneApplicationPage.NavigationService.Navigate(new Uri("/Views/TwitterPage.xaml", UriKind.Relative));
                    break;

                case ApplicationPages.Blog:
                    phoneApplicationPage.NavigationService.Navigate(new Uri("/Views/BlogPage.xaml", UriKind.Relative));
                    break;
            }
        }
    }
}